//package org.book.examples.utility;

import java.io.IOException;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.Scanner;

public class ByteFromFile {
	
	public Byte[] getBytes(String filename) throws IOException
	{
		Path path = Paths.get(filename);
		Scanner s = new Scanner(path);
		ArrayList<Byte> arr = new ArrayList<Byte>();
		
		while(s.hasNext())
		{
			String item = s.next();
			int i = Integer.parseInt(item,16);
			byte b = (byte) (i & 0xFF);
			arr.add(b);
		}
		
		Byte[] retValue = new Byte[arr.size()];
		retValue = arr.toArray(retValue);
		s.close();
		return retValue;
		
	}

}
